/*
 * @Description: file content
 * @Version: 2.0
 * @Author: ljl
 * @Date: 2022-06-21 09:51:15
 * @LastEditors: ljl
 * @LastEditTime: 2022-08-02 15:27:11
 * @FilePath: \zyypt-ssb-vue_wechat\src\api\index.js
 */
import request from '@/utils/request'

// 日志锚点
export function setParamLog(data) {
    return request({
        url: ipConfig.logURL+'setParamLog',
        method: 'post',
        data
    })
}
// 小程序端获取accesstoken
export function getTestAccesstoken() {
    return request({
        url: 'getTestAccesstoken',
        method: 'get',
    })
}

// 微信小程序端获取用户信息
export function getWeChatUser(data) {
    return request({
        url: 'getWeChatUser',
        method: 'post',
        data
    })
}

// 微信小程序端获取信息
export function getWechatService(data) {
    return request({
        url: 'getWechatService',
        method: 'post',
        data
    })
}

// 获取亲属列表
export function getRelatives(data) {
    return request({
        url: 'getRelatives',
        method: 'post',
        data
    })
}
// 证件查询
export function getDocument(data) {
    return request({
        url: 'getDocument',
        method: 'post',
        data
    })
}
// 添加亲属信息
export function AddRelatives(data) {
    return request({
        url: 'AddRelatives',
        method: 'post',
        data
    })
}
// 亲属解除绑定
export function UnbindRelatives(data) {
    return request({
        url: 'UnbindRelatives',
        method: 'post',
        data
    })
}